[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdActns' (#lcl)

# TFileExit.ExecuteTarget

Executes the action for the target control.

## Declaration

Source position: stdactns.pas line 265

`public procedure TFileExit.ExecuteTarget(`
`Target: TObject`
`); override;`

## Arguments

`Target` |  | Not used in TFileExit.

## Description

ExecuteTarget is an overridden method in TFileExit. It implements the empty method introduced in the ancestor class to perform the steps needed for the file action.

In TFileExit, ExecuteTarget causes the current application to be halted. If the Application singleton has been assigned, the MainForm in the application is closed to stop execution. If MainForm has not been assigned, the Terminate method in Application is called to stop execution. If Application has not been assigned, the Halt routine is called to stop the program.

## See also

TApplication |  | Application management and configuration for a GUI application.
Application |  | The TApplication singleton.
TBasicAction.ExecuteTarget